# std::wcsspn

From cppreference.com
< cpp‎ | string‎ | wide

Defined in header `<cwchar>` |  |
size_t wcsspn( const wchar_t* dest, const wchar_t* src ); |  |

Returns the length of the maximum initial segment of the wide string pointed to by `dest`, that consists of only the characters found in wide string pointed to by `src`.

### Parameters

dest | - | pointer to the null-terminated wide string to be analyzed
src | - | pointer to the null-terminated wide string that contains the characters to search for

### Return value

The length of the maximum initial segment that contains only characters from wide string pointed to by `src`

### Example

| This section is incomplete Reason: no example

### See also

wcscspn | returns the length of the maximum initial segment that consists of only the wide not found in another wide string (function)
wcspbrk | finds the first location of any wide character in one wide string, in another wide string (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/wide/wcsspn&oldid=59130"